libzypp: zypp::media::MetaLinkParser Class Reference

libzypp 17.38.13

zypp::media::MetaLinkParser Class Reference

`#include <zypp-curl/parser/metalinkparser.h>`

Inheritance diagram for zypp::media::MetaLinkParser:

## Public Member Functions
| MetaLinkParser ()
| ~MetaLinkParser ()
void | parse (const Pathname &filename)
| parse a file consisting of metalink xml data
void | parse (const InputStream &is)
| parse an InputStream consisting of metalink xml data
void | parseBytes (const char *bytes, size_t len)
| parse a chunk of a file consisting of metalink xml data.
void | parseEnd ()
| tells the parser that all chunks are now processed
std::vector< Url > | getUrls () const
| return the download urls from the parsed metalink data
const std::vector< MetalinkMirror > & | getMirrors () const
| return the mirrors from the parsed metalink data
MediaBlockList | getBlockList () const
| return the block list from the parsed metalink data
const std::vector< UByteArray > & | getZsyncBlockHashes () const
const std::vector< UByteArray > & | getSHA1BlockHashes () const

## Private Attributes
struct ml_parsedata * | pd

## Detailed Description

Definition at line 34 of file metalinkparser.h.

## Constructor & Destructor Documentation

## ◆ MetaLinkParser()

zypp::media::MetaLinkParser::MetaLinkParser | ( |  | ) |

Definition at line 448 of file metalinkparser.cc.

## ◆ ~MetaLinkParser()

zypp::media::MetaLinkParser::~MetaLinkParser | ( |  | ) |

Definition at line 452 of file metalinkparser.cc.

## Member Function Documentation

## ◆ parse() [1/2]

void zypp::media::MetaLinkParser::parse | ( | const Pathname & | filename | ) |

parse a file consisting of metalink xml data

Exceptions

  Exception |

Definition at line 458 of file metalinkparser.cc.

## ◆ parse() [2/2]

void zypp::media::MetaLinkParser::parse | ( | const InputStream & | is | ) |

parse an InputStream consisting of metalink xml data

Exceptions

  Exception |

Definition at line 468 of file metalinkparser.cc.

## ◆ parseBytes()

void zypp::media::MetaLinkParser::parseBytes | ( | const char * | bytes,
|  | size_t | len )

parse a chunk of a file consisting of metalink xml data.

Exceptions

  Exception |

Definition at line 494 of file metalinkparser.cc.

## ◆ parseEnd()

void zypp::media::MetaLinkParser::parseEnd | ( |  | ) |

tells the parser that all chunks are now processed

Exceptions

  Exception |

Definition at line 508 of file metalinkparser.cc.

## ◆ getUrls()

std::vector< Url > zypp::media::MetaLinkParser::getUrls | ( |  | ) | const

return the download urls from the parsed metalink data

Definition at line 524 of file metalinkparser.cc.

## ◆ getMirrors()

const std::vector< MetalinkMirror > & zypp::media::MetaLinkParser::getMirrors | ( |  | ) | const

return the mirrors from the parsed metalink data

Definition at line 533 of file metalinkparser.cc.

## ◆ getBlockList()

MediaBlockList zypp::media::MetaLinkParser::getBlockList | ( |  | ) | const

return the block list from the parsed metalink data

Definition at line 538 of file metalinkparser.cc.

## ◆ getZsyncBlockHashes()

const std::vector< UByteArray > & zypp::media::MetaLinkParser::getZsyncBlockHashes | ( |  | ) | const

Definition at line 574 of file metalinkparser.cc.

## ◆ getSHA1BlockHashes()

const std::vector< UByteArray > & zypp::media::MetaLinkParser::getSHA1BlockHashes | ( |  | ) | const

Definition at line 579 of file metalinkparser.cc.

## Member Data Documentation

## ◆ pd

struct ml_parsedata* zypp::media::MetaLinkParser::pd
| private

Definition at line 81 of file metalinkparser.h.

The documentation for this class was generated from the following files:

- zypp-curl/parser/metalinkparser.h
- zypp-curl/parser/metalinkparser.cc